2004-10-13  Alexandra Ellwood  <lxs@mit.edu>

	* krb5_err.et: added KRB5_DELTAT_BADFORMAT for 
	krb5_string_to_deltat.

2004-06-02  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (STLIBOBJS, OBJS, SRCS): Drop init_ets code.

2004-01-06  Jeffrey Altman <jaltman@mit.edu>

    * krb5_err.et (KRB5_CC_NOSUPP) new ccache error code

2003-12-12  Jeffrey Altman <jaltman@mit.edu>

    * krb5_err.et (KRB5_CC_READONLY) new ccache error code

2003-07-19  Ezra Peisach  <epeisach@mit.edu>

	* init_ets.c (krb5_init_ets): Only initialize error tables once -
	so that init_conext/free_context loops do not result in memory
	leaks.

2003-07-17  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (LIBNAME) [##WIN16##]: Don't define.

2003-06-03  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5_ERR_NO_SERVICE): New error code.

2003-05-24  Ken Raeburn  <raeburn@mit.edu>

	* krb524_err.et: New file, moved from ../../../krb524.  Add new
	error code KRB524_KRB4_DISABLED.
	* Makefile.in (STLIBOBJS, HDRS, OBJS, ETSRCS, SRCS, awk-windows):
	Add it.
	($(OUTPRE)krb524_err.$(OBJEXT)): List dependence on .c file.
	* init_ets.c (krb5_init_ets): Call initialize_k524_error_table.

2003-03-04  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5_ERR_BAD_S2K_PARAMS): New error code.

2003-01-10  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Add AC_SUBST_FILE marker for libobj_frag.

2002-11-14  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove references to adm_err.et.  It's not used,
	and conflicts with the krb4 kadm error table.

2002-10-24  Ken Hornstein  <kenh@cmf.nrl.navy.mil

	* kv5m_err.et: Add magic numbers for new hardware preauth structures.

	* krb5_err.et (KRB5_SAM_INVALID_ETYPE, KRB5_SAM_NO_CHECKSUM,
	KRB5_SAM_BAD_CHECKSUM): New error codes for the new hardware
	preauthentication code.

2002-09-02  Ken Raeburn  <raeburn@mit.edu>

	* init_ets.c (krb5_init_ets, krb5_free_ets): Use prototype style
	function definitions.

2002-08-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Revert $(S)=>/ change, for Windows support.

2002-08-27  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (awk-windows): Put quotes around $(EHDRDIR) since it
	contains forward slashes now.

2002-08-23  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Change $(S)=>/ and $(U)=>.. globally.

2002-07-09  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5_ERR_NUMERIC_REALM): New error code.

2002-06-09  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5KRB_AP_PATH_NOT_ACCEPTED,
	KRB5KRB_ERR_RESPONSE_TOO_BIG): New error codes.

2002-03-06  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et: Change several "credentials cache file" messages to
	just say "credentials cache", so as to be applicable in the ccapi
	case too.  (Miro's change from 1.2.x branch.)

2002-01-08  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5_EAI_FAIL, KRB5_EAI_NODATA, KRB5_EAI_NONAME,
	KRB5_EAI_SERVICE): New error codes for getaddrinfo failures.

2001-10-24  Tom Yu  <tlyu@mit.edu>

	* kdb5_err.et: Add KRB5_KDB_NO_PERMITTED_KEY,
	KRB5_KDB_NO_MATCHING_KEY for libkdb so we can return something
	other than ENOENT (which was Just Wrong).

2001-04-17  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in (includes): New target.  Copy headers into proper
	include directory.
	(unixmac): Target deleted.
	(THDRDIR): New variable.

2000-10-26  Tom Yu  <tlyu@mit.edu>

	* asn1_err.et: Add error codes MISMATCH_INDEF and MISSING_EOC.

2000-06-30  Ezra Peisach  <epeisach@mit.edu>

	* init_ets.c: Remove unused variable.

1999-12-01  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5_OBSOLETE_FN): New error code.

1999-11-02  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5_CONFIG_ETYPE_NOSUPP): New error code.

1999-10-26  Wilfredo Sanchez  <tritan@mit.edu>

	* Makefile.in: Clean up usage of CFLAGS, CPPFLAGS, DEFS, DEFINES,
	LOCAL_INCLUDES such that one can override CFLAGS from the command
	line without losing CPP search patchs and defines. Some associated
	Makefile cleanup.

1999-08-23  Ken Raeburn  <raeburn@mit.edu>

	* krb5_err.et (KRB5_CC_NOT_KTYPE): New error code.

1999-07-29  Ken Raeburn  <raeburn@mit.edu>

	* Makefile.in: Delete dependency info for isode error table that
	was removed in early 1995.

Mon May 10 15:25:19 1999  Danilo Almeida  <dalmeida@mit.edu>

	* Makefile.in: Do win32 build in subdir.

1998-11-13  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Set the myfulldir and mydir variables (which are
		relative to buildtop and thisconfigdir, respectively.)

Mon May 18 17:09:22 1998  Tom Yu  <tlyu@mit.edu>

	* krb5_err.et: Clarify error for REALM_CANT_RESOLVE.

Thu Apr 16 20:51:40 1998  Tom Yu  <tlyu@mit.edu>

	* asn1_err.et (ASN1_BAD_GMTIME): Add code for case where bad
	values are returned from gmtime().

Fri Feb 27 18:03:33 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Changed thisconfigdir to point at the lib/krb5
 		directory, since we've moved the configure.in tests in
 		this directory to the toplevel lib/krb5 configure.in

Wed Feb 18 16:21:57 1998  Tom Yu  <tlyu@mit.edu>

	* Makefile.in: Remove trailing slash from thisconfigdir.  Fix up
	BUILDTOP for new conventions.

Mon Feb  2 17:02:29 1998  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* Makefile.in: Define BUILDTOP and thisconfigdir in the Makefile

Thu Feb  5 22:58:09 1998  Theodore Y. Ts'o  <tytso@mit.edu>

	* krb5_err.et: Add a comment about the low 128 error codes being
		defined by the Krb5 protocol spec.

Sat Dec  6 02:27:37 1997  Tom Yu  <tlyu@mit.edu>

	* krb5_err.et: Add codes for Cygnus chpw.

Fri Jul 25 15:25:02 1997  Tom Yu  <tlyu@mit.edu>

	* kdb5_err.et: Add error code for bad creation flags.

Sat Feb 22 22:26:16 1997  Richard Basch  <basch@lehman.com>

	* Makefile.in: Use some of the new library list build rules in
		win-post.in

Sat Feb 15 15:41:58 1997  Richard Basch  <basch@lehman.com>

	* init_ets.c (krb5_finish_ets):
		New routine to cleanup krb5 error tables

Thu Nov 21 11:55:16 EST 1996    Richard Basch   <basch@lehman.com>

        * Makefile.in: win32 build

	* init_ets.c: dll export krb5_init_ets()

Thu Jan  2 17:07:07 1997  Tom Yu  <tlyu@mit.edu>

	* Makefile.in:
	* configure.in: Update to new library build procedure.

Fri Dec 13 14:55:43 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* krb5_err.et: Added the error codes KRB5_APPL_EXPIRED and
	 	KRB5_LIB_EXPIRED.

Tue Nov 19 17:06:26 1996  Barry Jaspan  <bjaspan@mit.edu>

	* krb5_err.et: add KRB5_KT_KVNONOTFOUND [krb5-libs/198]

Wed Nov  6 11:15:32 1996  Theodore Ts'o  <tytso@rsts-11.mit.edu>

	* krb5_err.et: Make the KRB5_CONFIG_CANTOPEN and
 		KRB5_CONFIG_BADFORMAT error messages more clear that the
  		problem is with the _Kerberos_ configuration file.

Fri Oct 18 17:49:51 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* kv5m_err.et: Add magic code for GSSAPI OID and GSSAPI QUEUE,
 		which are needed for the serialization routines.
		
Wed Jul 24 16:03:52 1996  Theodore Y. Ts'o  <tytso@mit.edu>

	* krb5_err.et: Added new error code KRB5_KT_NAME_TOOLONG

Thu Jun 13 21:43:23 1996  Tom Yu  <tlyu@voltage-multiplier.mit.edu>

	* configure.in: remove ref to SS_RULES, ET_RULES

Sat Mar 30 22:55:26 1996  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (SRCS): Inlined the list of et-build source files in
		SRCS, so that they are correctly included in the Mac
		build.

Wed Mar 13 13:05:46 1996  Ezra Peisach  <epeisach@kangaroo.mit.edu>

	* kv5m_err.et: Add KV5M_PASSWD_PHRASE_ELEMENT

Fri Feb 16 12:04:06 1996  Theodore Y. Ts'o  <tytso@pao.MIT.EDU>

	* krb5_err.et: Added new error table code KRB5_CONFIG_NODEFREALM.

Fri Jan  5 12:23:44 1996  Theodore Y. Ts'o  <tytso@dcl>

	* krb5_err.et: Added error table code KRB5_FWD_BAD_PRINCIPAL.

Thu Dec 21 18:46:45 1995  Theodore Y. Ts'o  <tytso@dcl>

	* krb5_err.et: Changed KRB5_SENDAUTH_MUTUAL_FAILED to
		KRB5_MUTUAL_FAILED (since the error code is no longer used
		in sendauth).  Added KRB5_CC_FORMAT for indicating a
		problem in the credentials cache format.

Wed Nov  8 02:45:56 1995  Theodore Y. Ts'o  <tytso@dcl>

	* kv5m_err.et: Added magic number for krb5_preauth_ops.

Mon Oct 23 21:24:12 1995  Theodore Y. Ts'o  <tytso@dcl>

	* krb5_err.et: Added new error code KRB5_GET_IN_TKT_LOOP.

Fri Oct  6 22:03:44 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Remove ##DOS!include of config/windows.in.
		config/windows.in is now included by wconfig.

Mon Sep 25 16:57:06 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in: Removed "foo:: foo-$(WHAT)" lines from the
		Makefile. 

Wed Sep 06 14:20:57 1995   Chris Provenzano (proven@mit.edu)

        * kdb5_err.et : Change KRB5_KDB_BAD_KEYTYPE to KRB5_KDB_BAD_ENCTYPE
	* krb5_err.et : Change KRB5_BAD_KEYTYPE to KRB5_BAD_ENCTYPE

Tue Aug 29 13:37:14 EDT 1995	Paul Park	(pjpark@mit.edu)
	* kv5m_err.et - Add magic numbers for DB_CONTEXT, AUTH_CONTEXT, KEYTAB
		RCACHE and CCACHE.

Mon Aug 28 12:53:01 1995    <tytso@rsts-11.mit.edu>

	* kv5m_err.et: Added new error codes KV5M_ALT_METHOD and
	        KV5M_ETYPE_INFO_ENTRY.

Mon Aug 07 11:29:49 1995   Chris Provenzano  (proven@mit.edu)

	* krb5_err.et: Add new error KRB5_KDB_BAD_KEYTYPE.

Thu Aug 03 12:35:47 1995   Chris Provenzano  (proven@mit.edu)

        * krb5_err.et: Add new error KRB5_KDB_BAD_SALTTYPE.

Fri Jun  9 19:34:12 1995    <tytso@rsx-11.mit.edu>

	* configure.in: Remove standardized set of autoconf macros, which
		are now handled by CONFIG_RULES.

Thu Jun  8 23:46:29 1995  Tom Yu  (tlyu@dragons-lair)

	* Makefile.in: don't install et-generated headers in the build tree

Fri May 26 20:19:59 1995  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in, Makefile.in: Add support for building shared libraries.

Tue May 23 16:46:30 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in: Don't install the error table header files; they
		shouldn't be needed by an end-programmer.

Tue Apr 25 21:58:23 1995  Chris Provenzano  (proven@mit.edu)

        * krb5_err.et: Add new error KRB5_TKT_NOT_FORWARDABLE.

Thu Apr 13 16:36:10 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: clean target was cleaning too much for the PC.

Wed Apr 5 16:29:25 1995 Keith Vetter (keithv@fusion.com)

	* krb5_err.et: added KRB5_REALM_CANT_RESOLVE for more precise 
           handling of not finding KDC.

Fri Mar 31 16:06:21 1995  Theodore Y. Ts'o  (tytso@dcl)

	* Makefile.in (BUILDTOP2, etc): Back out previous change so that
		it doesn't break people who are using VPATH to have
		separate build directories.  (See comments in the Makefile.)

Tue Mar 28 18:29:44 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (BUILDTOP2, etc):  Make it possible
	to build the error tables on Unix before a Mac build.
	(all-mac):  Don't build $(HDRS) on Mac.
	(unixmac):  Build `includes'.
	(clean-mac):  Add.
	(includes, clean, .SUFFIXES, .et.h, .et.c):  Add, to make it
	possible to run `make -f Makefile.in unixmac' successfully.
	* configure.in (ASN1_{HDRS,OBJS,SRCS, BOGUS):  Remove, unused.
	(CopyHeader rules):  Remove, they're now in Makefile.in.

Fri Mar 24 14:25:15 1995    <tytso@rsx-11.mit.edu>

	* Makefile.in (install): Add install rule for the error table
		headers. 

Tue Mar 21 21:06:06 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile.in (all-unix): The "includes" target is *not* obsolete;
		it's necessary to copy the header files to the build tree.

Fri Mar 17 19:42:45 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (LDFLAGS):  Eliminate, duplicate.
	(SRCS):  Eliminate $(srcdir) which causes mac problems.
	(all-unix):  Eliminate obsolete "includes".
	(all-mac):  Add.
	(unixmac):  Add $(SRCS) so that the .c source files will be created
	here in the original "configure tree on Unix" stage of the build.

Wed Mar 15 12:24:25 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: disabled the awk part of the makefile.

Tue Mar 7 21:40:18 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: changed library name for the PC.

Thu Mar  2 23:33:21 1995  John Gilmore  (gnu at toad.com)

	* Makefile.in (unixmac):  New target, runs on Unix to build include
	files for Mac build.

Tue Feb 28 00:37:58 1995  John Gilmore  (gnu at toad.com)

	* init_ets.c:  Avoid <krb5/...> includes.

Tue Feb 21 18:25:51 1995  Mark Eichin  (eichin@tweedledumber.cygnus.com)

	* init_ets.c (krb5_init_ets): use old-style definition.

Tue Feb 21 0:57:40 1995 Keith Vetter (keithv@fusion.com)

	* Makefile.in: made to work for PC
        * init_ets.c: 
           added INTERFACE for windows
           removed PROTOTYPE macro from the function

Fri Feb 10 14:56:57 1995  Theodore Y. Ts'o  <tytso@dcl>

	* Makefile:
	* configure.in: 
	* init_ets.c (krb5_init_ets): Remove isode cruft.

Thu Feb  2 20:49:10 1995  Mark Eichin  (eichin@cygnus.com)

	* krb5_err.et (KRB5KRB_AP_ERR_V4_REPLY): new error code for V4
	reply to a V5 request.

Mon Dec 19 17:10:13 1994  Theodore Y. Ts'o  (tytso@dcl)

	* krb5_err.et (KV5M_CONTEXT, KV5M_OS_CONTEXT): Add new error codes.

Fri Nov 18 15:29:55 1994  Theodore Y. Ts'o  (tytso@dcl)

	* krb5_err.et (KV5M_KEYTAB_ENTRY): Add new error code

Fri Nov 18 00:23:51 1994  Mark Eichin  <eichin@cygnus.com>

	* Makefile.in (clean): remove $(BOGUS)
	(HDRS): use ASN1_HDRS, not ASN1_SRCS. (from epeisach)

Thu Nov 17 00:41:39 1994  Theodore Y. Ts'o  (tytso@dcl)

	* krb5_err.et (KRB5_CC_WRITE_ERR): Add new error code.

Fri Nov 11 07:10:25 1994  Tom Yu  (tlyu@dragons-lair)

	* Makefile.in: fix some typos for kv5m_err.et

Thu Nov 10 22:12:43 1994  Theodore Y. Ts'o  (tytso@dcl)

	* kv5m_err.et: Add support for krb5_address table; rename
		KV5M_AUTH_DATA to follow the convention properly.

Thu Nov  3 16:39:49 1994  Theodore Y. Ts'o  (tytso@dcl)

	* configure.in:
	* Makefile.in:
	* kv5m_err.et: Add the kv5m error table.

Fri Oct 14 23:07:48 1994  Theodore Y. Ts'o  (tytso@dcl)

	* init_ets.c (krb5_init_ets): Fix typo in spelling of KRB5_USE_ISODE.

Thu Sep 29 15:09:03 1994  Theodore Y. Ts'o  (tytso@dcl)

	* krb5_err.et (KRB5_KDCREP_SKEW, KRB5_IN_TKT_REALM_MISMATCH,
	  KRB5_SERVICE_UNKNOWN):
	  	Added two new error codes.

Wed Sep 21 18:00:25 1994  Theodore Y. Ts'o  (tytso@dcl)

	* krb5_err.et (KRB5KRB_AP_ERR_ILL_CR_TKT): Added new error code.

Sat Jul 16 05:59:53 1994  Tom Yu  (tlyu at dragons-lair)

	* krb5_err.et: missing space between comma and doublequote

Tue Jun 28 19:11:43 1994  Tom Yu  (tlyu at dragons-lair)

	* Makefile.in: doing the right thing with new error tables

	* configure.in: adding ISODE_DEFS
	* init_ets.c: folding in Harry's changes

